package com.magicsoftware.magicdev;

import android.os.Bundle;
import android.os.Vibrator;
import android.app.Activity;
import android.content.Intent;
import android.nfc.NfcAdapter;
import com.magicsoftware.core.CoreApplication;

public class NFCGetID extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		Intent intent = getIntent();
		String action = intent.getAction();
		byte[] rawId = intent.getByteArrayExtra(NfcAdapter.EXTRA_ID);
		String text = bytesToText(rawId);
		Vibrator vibrator = (Vibrator) getSystemService(VIBRATOR_SERVICE);
		vibrator.vibrate(300);
        //2015-5-26 NullPointerException
        try{
            //Raise Magic External event(on Internal event).
            CoreApplication.getInstance().invokeUserEvent("NFC_UID",text);
        }
        catch(NullPointerException e){
            //No Action
            CoreApplication.getInstance().WriteLog("NFCGetID","NullPointerException:invokeUserEvent()"); 
        }
		
		finish();
	}

	private String bytesToText(byte[] bytes) {
		StringBuilder buffer = new StringBuilder();
		for (byte b : bytes) {
			String hex = String.format("%02X", b);
			buffer.append(hex);
		}

		String text = buffer.toString().trim();
		return text;
	}

}
